Index: trunk/kernel/fs/devfs.c
===================================================================
--- trunk/kernel/fs/devfs.c	(revision 657)
+++ trunk/kernel/fs/devfs.c	(revision 673)
@@ -3,5 +3,5 @@
  *
  * Author   Mohamed Lamine Karaoui (2014,2015)
- *          Alain Greiner (2016,2017,2018,2019,2020)
+ *          Alain Greiner          (2016,2017,2018,2019,2020)
  *
  * Copyright (c) Sorbonne Universites
@@ -124,5 +124,5 @@
     // update inode "type" field
     inode = GET_PTR( *devfs_dev_inode_xp );
-    inode->type = INODE_TYPE_DIR;
+    inode->type = FILE_TYPE_DIR;
  
     // create dentries <.> and <..> in <dev>
@@ -154,5 +154,5 @@
     // update inode "type" field
     inode = GET_PTR( *devfs_external_inode_xp );
-    inode->type = INODE_TYPE_DIR;
+    inode->type = FILE_TYPE_DIR;
  
     // create dentries <.> and <..> in <external>
@@ -201,5 +201,5 @@
 
     // create <internal> directory 
-    snprintf( node_name , 16 , "internal_%x" , local_cxy );
+    snprintk( node_name , 16 , "internal_%x" , local_cxy );
 
     error = vfs_add_child_in_parent( local_cxy,              // target cluster
@@ -212,5 +212,5 @@
     // set <internal> inode "type" field
     internal_inode_ptr       = GET_PTR( internal_inode_xp );
-    internal_inode_ptr->type = INODE_TYPE_DEV;
+    internal_inode_ptr->type = FILE_TYPE_DEV;
  
     // create dentries <.> and <..> in <internal>
@@ -262,5 +262,5 @@
         inode_ptr = GET_PTR( inode_xp );
         inode_ptr->extend = chdev_ptr;
-        inode_ptr->type   = INODE_TYPE_DEV;
+        inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -305,5 +305,5 @@
             inode_ptr = GET_PTR( inode_xp );
             inode_ptr->extend = chdev_ptr;
-            inode_ptr->type   = INODE_TYPE_DEV;
+            inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -341,5 +341,5 @@
             inode_ptr = GET_PTR( inode_xp );
             inode_ptr->extend = chdev_ptr;
-            inode_ptr->type   = INODE_TYPE_DEV;
+            inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -378,5 +378,5 @@
             inode_ptr = GET_PTR( inode_xp );
             inode_ptr->extend = chdev_ptr;
-            inode_ptr->type   = INODE_TYPE_DEV;
+            inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -417,5 +417,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -456,5 +456,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT 
@@ -495,5 +495,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -534,5 +534,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -573,5 +573,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
  
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -612,5 +612,5 @@
                 inode_ptr = GET_PTR( inode_xp );
                 inode_ptr->extend = chdev_ptr;
-                inode_ptr->type   = INODE_TYPE_DEV;
+                inode_ptr->type   = FILE_TYPE_DEV;
         
 #if DEBUG_DEVFS_LOCAL_INIT
@@ -643,5 +643,5 @@
     char             k_buf[CONFIG_TXT_KBUF_SIZE];  // local kernel buffer
 
-assert( ( file_xp != XPTR_NULL ) , "file_xp == XPTR_NULL" );
+assert( __FUNCTION__, ( file_xp != XPTR_NULL ) , "file_xp == XPTR_NULL" );
 
 #if (DEBUG_SYS_READ & 1)
@@ -673,5 +673,5 @@
 
 // Only TXT devices are associated to a pseudo-file
-assert( ( func == DEV_FUNC_TXT ) , __FUNCTION__, "illegal device func_type");
+assert( __FUNCTION__, ( func == DEV_FUNC_TXT ) , "illegal device func_type");
 
     // initialise number of bytes to move
@@ -770,5 +770,5 @@
 
 // detailed argument unused
-assert( (detailed == false) , "detailed argument not supported\n");
+assert( __FUNCTION__, (detailed == false) , "detailed argument not supported\n");
  
     // One loop to scan the target inode xhtab containing the set of dentries
